Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ws
Class WSAttributeDefImpl

`java.lang.Object
oracle.jbo.common.ws.WSAttributeDefImpl`

All Implemented Interfaces:
  AttributeDef, Properties, java.io.Serializable

public class WSAttributeDefImpl
extends java.lang.Object
implements AttributeDef, java.io.Serializable

See Also:
  Serialized Form

Field Summary

Fields inherited from interface oracle.jbo.AttributeDef
`ATTR_ASSOCIATED_ROW, ATTR_ASSOCIATED_ROWITERATOR, ATTR_DYNAMIC, ATTR_ENTITY_DERIVED, ATTR_PERSISTENT, ATTR_SQL_DERIVED, ATTR_TRANSIENT, ATTR_VARIABLE, READONLY, UPDATEABLE, UPDATEABLE_WHILE_NEW`

Constructor Summary
`WSAttributeDefImpl(java.lang.String name)`

Method Summary
`byte` | `getAttributeKind()` Gets the attribute value.
`java.lang.String` | `getColumnName()` Gets the name of the database column the attribute represents.
`java.lang.String` | `getColumnNameForQuery()` Gets the column name to be used in query statement.
`int` | `getElemSQLType()` Returns the jdbc type of the elements of this attribute.
`java.lang.Class` | `getElemType()` Returns the element type of the attribute.
`int` | `getIndex()` Gets the index of the attribute in the context of a `StoreInfo` instance.
`java.lang.Class` | `getJavaType()` Gets the Java class of the object stored for this attribute definition.
`java.lang.String` | `getName()` Gets the name of the attribute.
`int` | `getPrecision()` Gets the precision of a numeric or string attribute.
`java.util.Hashtable` | `getProperties()` Gets the table of properties.
`java.lang.Object` | `getProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.
`int` | `getScale()` Get the scale value of a numeric attribute.
`int` | `getSQLType()` Gets the JDBC type of the attribute.
`AttributeHints` | `getUIHelper()` Returns the user interface hints interface for retrieving hint information such as labels, prompts,...
`byte` | `getUpdateableFlag()` Tests if an attribute can be modified.
`boolean` | `isMandatory()` Tests if an attribute does not allow null values.
`boolean` | `isPrimaryKey()` Tests if an attribute is a Primary Key.
`boolean` | `isQueriable()` Tests if an attribute is queriable.
`boolean` | `isSelected()` Tests if an attribute is transient.
`java.lang.Object` | `refreshProperty(java.lang.String hintName)` Retrieves the specified property, if it exists.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSAttributeDefImpl

    public WSAttributeDefImpl(java.lang.String name)

Method Detail

### getAttributeKind

    public byte getAttributeKind()

  Description copied from interface: `AttributeDef`
  Gets the attribute value.
  Specified by:
    `getAttributeKind` in interface `AttributeDef`
  Returns:
    one of the `ATTR` constants defined for this class.

### getName

    public java.lang.String getName()

  Description copied from interface: `AttributeDef`
  Gets the name of the attribute.
  Specified by:
    `getName` in interface `AttributeDef`
  Returns:
    the name of the attribute.

### getColumnName

    public java.lang.String getColumnName()

  Description copied from interface: `AttributeDef`
  Gets the name of the database column the attribute represents.
  Specified by:
    `getColumnName` in interface `AttributeDef`
  Returns:
    the name of the column.

### getColumnNameForQuery

    public java.lang.String getColumnNameForQuery()

  Description copied from interface: `AttributeDef`
  Gets the column name to be used in query statement. If the VO involves multiple entity usages, the column name may have to be qualified with the table alias for the appropriate entity. If the query statement is a full query ("expert mode"), the where-clause in the outer select must use column alias used for the inner select. This method takes care of all this and returns the right column name to be used for a query statement.
  Specified by:
    `getColumnNameForQuery` in interface `AttributeDef`
  Returns:
    the column name to be used in query.

### getIndex

    public int getIndex()

  Description copied from interface: `AttributeDef`
  Gets the index of the attribute in the context of a `StoreInfo` instance.
  Specified by:
    `getIndex` in interface `AttributeDef`
  Returns:
    the index of the attribute row's definition object.

### getJavaType

    public java.lang.Class getJavaType()

  Description copied from interface: `AttributeDef`
  Gets the Java class of the object stored for this attribute definition.
  Specified by:
    `getJavaType` in interface `AttributeDef`
  Returns:
    the class of the attribute.

### getSQLType

    public int getSQLType()

  Description copied from interface: `AttributeDef`
  Gets the JDBC type of the attribute.
  Specified by:
    `getSQLType` in interface `AttributeDef`
  Returns:
    the JDBC type.
  See Also:
    `Types`

### getScale

    public int getScale()

  Description copied from interface: `AttributeDef`
  Get the scale value of a numeric attribute.
  Specified by:
    `getScale` in interface `AttributeDef`
  Returns:
    the scale value for this attribute, if applicable.

### getPrecision

    public int getPrecision()

  Description copied from interface: `AttributeDef`
  Gets the precision of a numeric or string attribute.

  'Precision' for a string is the maximum length.

  Specified by:
    `getPrecision` in interface `AttributeDef`
  Returns:
    the precision value for this attribute.

### isSelected

    public boolean isSelected()

  Description copied from interface: `AttributeDef`
  Tests if an attribute is transient. Transient attributes are those whose values are derived when needed. There is no mapping onto a column in a table for these values.
  Specified by:
    `isSelected` in interface `AttributeDef`
  Returns:
    `true` if this attribute is transient.

### isQueriable

    public boolean isQueriable()

  Description copied from interface: `AttributeDef`
  Tests if an attribute is queriable.

  Queriable attributes are those that may have a filter condition for the WHERE clause If this method returns false, the attribute will not be used in constructing the WHERE clause of SQL statements to fetch data.

  Specified by:
    `isQueriable` in interface `AttributeDef`
  Returns:
    `true` if this attribute is queriable.

### getUpdateableFlag

    public byte getUpdateableFlag()

  Description copied from interface: `AttributeDef`
  Tests if an attribute can be modified.
  Specified by:
    `getUpdateableFlag` in interface `AttributeDef`
  Returns:
    `READONLY`, `UPDATEABLE`, or `UPDATEABLE_WHILE_NEW`.

### isPrimaryKey

    public boolean isPrimaryKey()

  Description copied from interface: `AttributeDef`
  Tests if an attribute is a Primary Key.
  Specified by:
    `isPrimaryKey` in interface `AttributeDef`
  Returns:
    `true` if this is either a Primary Key attribute or part of the attributes that constitute the Primary Key for a given row.

### isMandatory

    public boolean isMandatory()

  Description copied from interface: `AttributeDef`
  Tests if an attribute does not allow null values.
  Specified by:
    `isMandatory` in interface `AttributeDef`
  Returns:
    `true` if this attribute cannot store a null value

### getUIHelper

    public AttributeHints getUIHelper()

  Description copied from interface: `AttributeDef`
  Returns the user interface hints interface for retrieving hint information such as labels, prompts,...
  Specified by:
    `getUIHelper` in interface `AttributeDef`
  See Also:
    `AttributeHints`

### getElemType

    public java.lang.Class getElemType()

  Description copied from interface: `AttributeDef`
  Returns the element type of the attribute.

  For VARRAYs, this method returns the class name of the elements that are in the VARRAY.

  Element type is relevant only if the attribute is an array attribute.

  Specified by:
    `getElemType` in interface `AttributeDef`
  Returns:
    the attribute's element class, or `null` if the attribute is not an array attribute.

### getElemSQLType

    public int getElemSQLType()

  Description copied from interface: `AttributeDef`
  Returns the jdbc type of the elements of this attribute.

  For VARRAYs, this method returns the jdbc type of the elements that are in the VARRAY.

  Element type is relevant only if the attribute is an array attribute.

  Specified by:
    `getElemSQLType` in interface `AttributeDef`
  Returns:
    the jdbc type (java.sql.Types.*) of this attribute's elements, or `java.sql.Types.NULL` if this attribute is not an array attribute.

### getProperty

    public java.lang.Object getProperty(java.lang.String hintName)

  Description copied from interface: `Properties`
  Retrieves the specified property, if it exists.
  Specified by:
    `getProperty` in interface `Properties`
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### refreshProperty

    public java.lang.Object refreshProperty(java.lang.String hintName)

  Description copied from interface: `Properties`
  Retrieves the specified property, if it exists. If the application running in a 3 tier environment, it retrieves the property from the middle-tier server, refreshing the value on the client side. If the application is running in a 2 tier environment, it is equivalent to `getProperty`.
  Specified by:
    `refreshProperty` in interface `Properties`
  Parameters:
    `hintName` - Property name.
  Returns:
    the value of the property, if any, otherwise `null`.

### getProperties

    public java.util.Hashtable getProperties()

  Description copied from interface: `Properties`
  Gets the table of properties.
  Specified by:
    `getProperties` in interface `Properties`
  Returns:
    a hashtable of properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.